Index: /branches/version-2_5-dev/html/mobile/require.php
===================================================================
--- /branches/version-2_5-dev/html/mobile/require.php	(revision 18853)
+++ /branches/version-2_5-dev/html/mobile/require.php	(revision 19802)
@@ -23,10 +23,10 @@
 
 // rtrim は PHP バージョン依存対策
-define("HTML_PATH", rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/../'), '/\\') . '/');
+define("HTML_FILE_PATH", rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/../'), '/\\') . '/');
 
-require_once HTML_PATH . 'handle_error.php';
-require_once HTML_PATH . 'define.php';
+require_once HTML_FILE_PATH . 'handle_error.php';
+require_once HTML_FILE_PATH . 'define.php';
 define('MOBILE_SITE', true);
-require_once HTML_PATH . HTML2DATA_DIR . 'require_base.php';
+require_once HTML_FILE_PATH . HTML2DATA_DIR . 'require_base.php';
 
 // モバイルサイトを利用しない設定の場合、落とす。
Index: /branches/version-2_5-dev/html/user_data/plugins/recommend/tpl/bloc.tpl
===================================================================
--- /branches/version-2_5-dev/html/user_data/plugins/recommend/tpl/bloc.tpl	(revision 19680)
+++ /branches/version-2_5-dev/html/user_data/plugins/recommend/tpl/bloc.tpl	(revision 19802)
@@ -14,5 +14,5 @@
                 
                 <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrProduct.product_id}-->">
-                    <img src="<!--{$smarty.const.URL_DIR}-->resize_image.php?image=<!--{$arrProduct.main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrProduct.name|escape}-->" /></a>
+                    <img src="<!--{$smarty.const.URL_PATH}-->resize_image.php?image=<!--{$arrProduct.main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrProduct.name|escape}-->" /></a>
 
                 <!--{assign var=price02_min value=`$arrProduct.price02_min`}-->
Index: /branches/version-2_5-dev/html/user_data/packages/admin/js/ownersstore.js.php
===================================================================
--- /branches/version-2_5-dev/html/user_data/packages/admin/js/ownersstore.js.php	(revision 18900)
+++ /branches/version-2_5-dev/html/user_data/packages/admin/js/ownersstore.js.php	(revision 19802)
@@ -20,5 +20,5 @@
 (function() {
 // オーナーズストア通信スクリプトのパス
-var upgrade_url = '[%URL_DIR%]upgrade/<?php echo DIR_INDEX_URL; ?>';
+var upgrade_url = '[%URL_PATH%]upgrade/<?php echo DIR_INDEX_URL; ?>';
 
 // ロード中メッセージ(配信サーバと通信中です…)
@@ -27,5 +27,5 @@
 // ロード中画像の先読み
 var loading_img = new Image();
-loading_img.src = '[%URL_DIR%]user_data/packages/default/img/ajax/loading.gif';
+loading_img.src = '[%URL_PATH%]user_data/packages/default/img/ajax/loading.gif';
 
 var OwnersStore = function() {}
@@ -177,4 +177,4 @@
 <?php
 header('Content-Type: application/x-javascript');
-echo str_replace('[%URL_DIR%]', URL_DIR, ob_get_clean());
+echo str_replace('[%URL_PATH%]', URL_PATH, ob_get_clean());
 ?>
Index: /branches/version-2_5-dev/html/admin/require.php
===================================================================
--- /branches/version-2_5-dev/html/admin/require.php	(revision 18815)
+++ /branches/version-2_5-dev/html/admin/require.php	(revision 19802)
@@ -23,11 +23,11 @@
 
 // rtrim は PHP バージョン依存対策
-define('HTML_PATH', rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/../'), '/\\') . '/');
+define('HTML_FILE_PATH', rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/../'), '/\\') . '/');
 define('ADMIN_FUNCTION', true);
 
-require_once HTML_PATH . 'define.php';
-require_once HTML_PATH . 'handle_error.php';
+require_once HTML_FILE_PATH . 'define.php';
+require_once HTML_FILE_PATH . 'handle_error.php';
 
-require_once HTML_PATH . HTML2DATA_DIR . 'require_base.php';
+require_once HTML_FILE_PATH . HTML2DATA_DIR . 'require_base.php';
 
 ob_start();
Index: /branches/version-2_5-dev/html/handle_error.php
===================================================================
--- /branches/version-2_5-dev/html/handle_error.php	(revision 19745)
+++ /branches/version-2_5-dev/html/handle_error.php	(revision 19802)
@@ -45,5 +45,5 @@
                   realpath(dirname(__FILE__) . "/" . HTML2DATA_DIR . "logs/site.log"));
         if (DEBUG_MODE !== true) {
-            $url = SITE_URL . "error.php";
+            $url = HTTP_URL . "error.php";
             if (defined('ADMIN_FUNCTION') && ADMIN_FUNCTION) {
                 $url .= "?admin";
Index: /branches/version-2_5-dev/html/sphone/require.php
===================================================================
--- /branches/version-2_5-dev/html/sphone/require.php	(revision 19713)
+++ /branches/version-2_5-dev/html/sphone/require.php	(revision 19802)
@@ -23,10 +23,10 @@
 
 // rtrim は PHP バージョン依存対策
-define("HTML_PATH", rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/../'), '/\\') . '/');
+define("HTML_FILE_PATH", rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/../'), '/\\') . '/');
 
-require_once HTML_PATH . 'handle_error.php';
-require_once HTML_PATH . 'define.php';
+require_once HTML_FILE_PATH . 'handle_error.php';
+require_once HTML_FILE_PATH . 'define.php';
 define('SMARTPHONE_SITE', true);
-require_once HTML_PATH . HTML2DATA_DIR . 'require_base.php';
+require_once HTML_FILE_PATH . HTML2DATA_DIR . 'require_base.php';
 
 // モバイルサイトを利用しない設定の場合、落とす。
Index: /branches/version-2_5-dev/html/require.php
===================================================================
--- /branches/version-2_5-dev/html/require.php	(revision 19791)
+++ /branches/version-2_5-dev/html/require.php	(revision 19802)
@@ -23,10 +23,10 @@
 
 // rtrim は PHP バージョン依存対策
-define("HTML_PATH", rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/'), '/\\') . '/');
+define("HTML_FILE_PATH", rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/'), '/\\') . '/');
 
-require_once HTML_PATH . 'define.php';
-require_once HTML_PATH . 'handle_error.php';
+require_once HTML_FILE_PATH . 'define.php';
+require_once HTML_FILE_PATH . 'handle_error.php';
 define('FRONT_FUNCTION_PC_SITE', true);
-require_once HTML_PATH . HTML2DATA_DIR . 'require_base.php';
+require_once HTML_FILE_PATH . HTML2DATA_DIR . 'require_base.php';
 
 // スマートフォンの場合、リダイレクト
Index: /branches/version-2_5-dev/html/install/index.php
===================================================================
--- /branches/version-2_5-dev/html/install/index.php	(revision 19781)
+++ /branches/version-2_5-dev/html/install/index.php	(revision 19802)
@@ -23,13 +23,13 @@
 // ▼require.php 相当
 // rtrim は PHP バージョン依存対策
-define('HTML_PATH', rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/../'), '/\\') . '/');
-
-require_once HTML_PATH . 'define.php';
+define('HTML_FILE_PATH', rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/../'), '/\\') . '/');
+
+require_once HTML_FILE_PATH . 'define.php';
 define('INSTALL_FUNCTION', true);
-require_once HTML_PATH . HTML2DATA_DIR . 'require_base.php';
+require_once HTML_FILE_PATH . HTML2DATA_DIR . 'require_base.php';
 // ▲require.php 相当
 
 $INSTALL_DIR = realpath(dirname( __FILE__));
-require_once(DATA_PATH . "module/Request.php");
+require_once(DATA_FILE_PATH . "module/Request.php");
 
 define("INSTALL_LOG", "./temp/install.log");
@@ -389,13 +389,13 @@
     // プログラムで書込みされるファイル・ディレクトリ
     $arrWriteFile = array(
-        DATA_PATH . "install.php",
+        DATA_FILE_PATH . "install.php",
         USER_PATH,
-        HTML_PATH . "upload",
-        DATA_PATH . "cache/",
-        DATA_PATH . "class/",
-        DATA_PATH . "Smarty/",
-        DATA_PATH . "logs/",
-        DATA_PATH . "downloads/",
-        DATA_PATH . "upload/",
+        HTML_FILE_PATH . "upload",
+        DATA_FILE_PATH . "cache/",
+        DATA_FILE_PATH . "class/",
+        DATA_FILE_PATH . "Smarty/",
+        DATA_FILE_PATH . "logs/",
+        DATA_FILE_PATH . "downloads/",
+        DATA_FILE_PATH . "upload/",
     );
 
@@ -457,33 +457,33 @@
         $objPage->tpl_mode = 'step0';
         umask(0);
-        $path = HTML_PATH . "upload/temp_template";
+        $path = HTML_FILE_PATH . "upload/temp_template";
         if(!file_exists($path)) {
             mkdir($path);
         }
-        $path = HTML_PATH . "upload/save_image";
+        $path = HTML_FILE_PATH . "upload/save_image";
         if(!file_exists($path)) {
             mkdir($path);
         }
-        $path = HTML_PATH . "upload/temp_image";
+        $path = HTML_FILE_PATH . "upload/temp_image";
         if(!file_exists($path)) {
             mkdir($path);
         }
-        $path = HTML_PATH . "upload/graph_image";
+        $path = HTML_FILE_PATH . "upload/graph_image";
         if(!file_exists($path)) {
             mkdir($path);
         }
-        $path = HTML_PATH . "upload/mobile_image";
+        $path = HTML_FILE_PATH . "upload/mobile_image";
         if(!file_exists($path)) {
             mkdir($path);
         }
-        $path = DATA_PATH . "downloads/module";
+        $path = DATA_FILE_PATH . "downloads/module";
         if(!file_exists($path)) {
             mkdir($path);
         }
-        $path = DATA_PATH . "downloads/update";
+        $path = DATA_FILE_PATH . "downloads/update";
         if(!file_exists($path)) {
             mkdir($path);
         }
-        $path = DATA_PATH . "upload/csv";
+        $path = DATA_FILE_PATH . "upload/csv";
         if(!file_exists($path)) {
             mkdir($path);
@@ -513,5 +513,5 @@
     // ファイルコピー
     $objPage->copy_mess = SC_Utils_Ex::sfCopyDir("./user_data/", USER_PATH, $objPage->copy_mess);
-    $objPage->copy_mess = SC_Utils_Ex::sfCopyDir("./save_image/", HTML_PATH . "upload/save_image/", $objPage->copy_mess);
+    $objPage->copy_mess = SC_Utils_Ex::sfCopyDir("./save_image/", HTML_FILE_PATH . "upload/save_image/", $objPage->copy_mess);
     return $objPage;
 }
@@ -620,6 +620,6 @@
     global $objDb;
 
-    if(defined('SITE_URL')) {
-        $normal_url = SITE_URL;
+    if(defined('HTTP_URL')) {
+        $normal_url = HTTP_URL;
     } else {
         $dir = ereg_replace("install/.*$", "", $_SERVER['REQUEST_URI']);
@@ -627,6 +627,6 @@
     }
 
-    if(defined('SSL_URL')) {
-        $secure_url = SSL_URL;
+    if(defined('HTTPS_URL')) {
+        $secure_url = HTTPS_URL;
     } else {
         $dir = ereg_replace("install/.*$", "", $_SERVER['REQUEST_URI']);
@@ -900,12 +900,12 @@
     $url_dir = ereg_replace("^https?://[a-zA-Z0-9_:~=&\?\.\-]+", "", $normal_url);
 
-    $filepath = DATA_PATH . "install.php";
+    $filepath = DATA_FILE_PATH . "install.php";
 
     $config_data =
     "<?php\n".
     "    define ('ECCUBE_INSTALL', 'ON');\n" .
-    "    define ('SITE_URL', '" . $normal_url . "');\n" .
-    "    define ('SSL_URL', '" . $secure_url . "');\n" .
-    "    define ('URL_DIR', '" . $url_dir . "');\n" .
+    "    define ('HTTP_URL', '" . $normal_url . "');\n" .
+    "    define ('HTTPS_URL', '" . $secure_url . "');\n" .
+    "    define ('URL_PATH', '" . $url_dir . "');\n" .
     "    define ('DOMAIN_NAME', '" . $objWebParam->getValue('domain') . "');\n" .
     "    define ('DB_TYPE', '" . $objDBParam->getValue('db_type') . "');\n" .
